curl --request POST \
--url https://{base_url_domain}/api/global/v1/inventory/warehouses/{id}/locations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"label": "A4-55-C3",
"priority": 10,
"is_type_auto": true,
"lot": {
"type": "Lot",
"id": 54
},
"product": {
"id": 123
},
"rack": {
"type": "Rack",
"id": 123
},
"location_type": {
"type": "LocationType",
"id": 54
}
}
'import requests
url = "https://{base_url_domain}/api/global/v1/inventory/warehouses/{id}/locations"
payload = {
"label": "A4-55-C3",
"priority": 10,
"is_type_auto": True,
"lot": {
"type": "Lot",
"id": 54
},
"product": { "id": 123 },
"rack": {
"type": "Rack",
"id": 123
},
"location_type": {
"type": "LocationType",
"id": 54
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
label: 'A4-55-C3',
priority: 10,
is_type_auto: true,
lot: {type: 'Lot', id: 54},
product: {id: 123},
rack: {type: 'Rack', id: 123},
location_type: {type: 'LocationType', id: 54}
})
};
fetch('https://{base_url_domain}/api/global/v1/inventory/warehouses/{id}/locations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"resource": {
"type": "<string>",
"id": 1
},
"meta": {
"processing_time": 123
}
}{
"errors": [
{
"type": "parameters",
"message": "The supplied parameters are invalid.",
"details": [
{
"key": "hold_until_date",
"message": "The date must be in the future."
}
]
}
]
}{
"errors": [
{
"type": "not_found",
"message": "The server could not find the requested resource."
}
]
}{
"errors": [
{
"type": "unable_to_process",
"message": "The supplied parameters are invalid.",
"details": [
{
"key": "hold_until_date",
"message": "The date must be in the future."
}
]
}
]
}Create Location
Creates a new Location specified by a warehouse id and according to the request body.
Authorizations
Generate a JWT access token through a Custom Global Integration and provide it with each request in the Authorization header prefixed with "Bearer" and then a single space.
Path Parameters
The id of the referenced Warehouse.
Body
An object conforming to the Inventory Warehouse Location schema to be created.
A Location describes a user-specified inventory address within a warehouse.
The human-readable name of a location and also the value encoded in location's barcode label. This value must be unique within each warehouse.
"A4-55-C3"
The inventory reservation order relative to other locations containing the same product.
10
If Location Type is "Automatic" then it will cause the type to be maintained automatically according to the Auto-Assign Patterns of the location types.
Optional Field
true
A reference to the Lot object assigned to this location.
Show child attributes
Show child attributes
A reference to the stockable product assigned to this location.
Show child attributes
Show child attributes
A reference to the Rack to which this location is assigned. This may be managed automatically or assigned manually.
Show child attributes
Show child attributes
A reference to the LocationType object assigned to this location. This may be managed automatically or assigned manually.
Show child attributes
Show child attributes
Was this page helpful?